<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">Approval Cicilan  </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-5 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Keterangan Tagihan</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/studentBill/requestCicilan/list}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <table class="table table-responsive">
                            <tr>
                                <td>Nomor Tagihan</td>
                                <td> : </td>
                                <td th:text="${bill.nomor}"></td>
                            </tr>
                            <tr>
                                <td>Nama Mahasiswa</td>
                                <td> : </td>
                                <td th:text="${bill.mahasiswa.nama}"></td>
                            </tr>
                            <tr>
                                <td>Jenis Tagihan</td>
                                <td> : </td>
                                <td th:text="${bill.nilaiJenisTagihan.jenisTagihan.nama}"></td>
                            </tr>
                            <tr>
                                <td>Nilai Tagihan</td>
                                <td> : </td>
                                <td th:text="${'Rp. ' + #numbers.formatDecimal(bill.nilaiTagihan, 0, 'POINT', 2, 'COMMA')}"></td>
                            </tr>
                            <tr>
                                <td>Request Cicilan</td>
                                <td> : </td>
                                <td th:text="${jumlahCicilan}"></td>
                            </tr>
                            <tr>
                                <td>Tahun Akademik</td>
                                <td> : </td>
                                <td th:text="${bill.tahunAkademik.namaTahunAkademik}"></td>
                            </tr>
                            <tr>
                                <td>Tanggal Pembuatan</td>
                                <td> : </td>
                                <td th:text="${#temporals.format(bill.tanggalPembuatan, 'dd - MMM - yyyy')}"></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-md-7 col-xs-12">
                <div class="card shadow" th:object="${cicilan}">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3>Daftar Cicilan</h3>
                            </div>
                            <div class="col text-right">

                                <!-- Modal dokumen -->

                                <div class="modal fade" id="totalDocument" tabindex="-1" role="dialog" aria-labelledby="modal-default" aria-hidden="true">
                                    <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
                                        <div class="modal-content">

                                            <div class="modal-header">
                                                <h2>List Berkas</h2>
                                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                            </div>

                                            <div class="modal-body">
                                                <div class="table-responsive">
                                                    <table class="table align-items-center table-flush">
                                                        <tr class="thead-light">
                                                            <th>No</th>
                                                            <th class="text-center">Jenis</th>
                                                            <th class="text-center">Berkas</th>
                                                        </tr>
                                                        <tr th:each="data, row : ${dokumen}">
                                                            <td th:text="${(row.index + 1)}"></td>
                                                            <td class="text-center" th:text="${data.jenisDocument}"></td>
                                                            <td class="text-center">
                                                                <a target="_blank" th:href="@{/tagihan/{document}/cicilan(document = ${data.id})}">
                                                                    <button class="btn btn-info btn-sm">
                                                                        Lihat Berkas
                                                                    </button>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div th:if="${message != null}">
                                <button type="submit" class="btn btn-info " data-toggle="modal" data-target="#totalDocument">
                                    <i class="fas fa-file"></i> Daftar Berkas
                                </button>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table align-items-center table-flush">
                                <tr class="thead-light">
                                    <th>No</th>
                                    <th>Tanggal Jatuh Tempo</th>
                                    <th>Nilai Cicilan</th>
                                    <th>Status</th>
                                    <th th:if="${message != null}">Status Cicilan</th>
                                    <th>Action</th>
                                </tr>
                                <tr th:each="data, row : ${request}">
                                    <td th:text="${(row.index + 1)}"></td>
                                    <td th:text="${data.tanggalJatuhTempo}"></td>
                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.nilaiCicilan, 0, 'POINT', 2, 'COMMA')}"></td>
                                    <td >
                                        <a  class="btn btn-primary btn-sm" href="#!"
                                            th:if="${data.statusApprove.WAITING} == ${data.statusApprove}"
                                            th:text="${data.statusApprove}">
                                        </a>
                                        <a  class="btn btn-success btn-sm" href="#!"
                                            th:if="${data.statusApprove.APPROVED} == ${data.statusApprove}"
                                            th:text="${data.statusApprove}">
                                        </a>
                                    </td>
                                    <td th:if="${message != null}">
                                        <a  class="btn btn-primary btn-sm" href="#!"
                                            th:if="${data.statusCicilan.CICILAN} == ${data.statusCicilan}"
                                            th:text="${data.statusCicilan}">
                                        </a>
                                        <a  class="btn btn-warning btn-sm" href="#!"
                                            th:if="${data.statusCicilan.SEDANG_DITAGIHKAN} == ${data.statusCicilan}"
                                            th:text="${data.statusCicilan}">
                                        </a>
                                        <a class="btn btn-warning btn-sm" href="#!"
                                            th:if="${data.statusCicilan.PENGAJUAN_PELUNASAN} == ${data.statusCicilan}"
                                            th:text="${data.statusCicilan}"></a>
                                        <a  class="btn btn-success btn-sm" href="#!"
                                            th:if="${data.statusCicilan.LUNAS} == ${data.statusCicilan}"
                                            th:text="${data.statusCicilan}">
                                        </a>
                                    </td>
                                    <td th:if="${data.statusCicilan == data.statusCicilan.SEDANG_DITAGIHKAN || data.statusCicilan == data.statusCicilan.PENGAJUAN_PELUNASAN}">

                                        <button type="button" class="btn btn-success btn-sm" data-toggle="modal" title="Lunas" th:data-target="${'#modal-notification' + data.id}">
                                            <i class="fas fa-check-circle"></i> Lunas
                                        </button>

                                        <div class="modal fade" th:id="${'modal-notification' + data.id}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                            <div class="modal-dialog  modal-dialog-centered modal-" role="document">
                                                <div class="modal-content ">

                                                    <div class="modal-header">
                                                        <h2>Form Pembayaran</h2>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>

                                                    <div class="modal-body">

                                                        <form method="post" th:action="@{/studentBill/cicilan/payment/manual}" th:object="${pembayaran}" enctype="multipart/form-data">
                                                            <input type="hidden" name="tagihan" id="isiTagihan" th:value="${bill.id}">
                                                            <input type="hidden" name="rc" th:value="${data.id}">
                                                            <div class="form-group">
                                                                <label>Bank</label>
                                                                <select name="bank" class="form-control">
                                                                    <option value=""></option>
                                                                    <option th:each="data : ${bank}"
                                                                            th:text="${data.nama}"
                                                                            th:value="${data.id}">Bank</option>
                                                                </select>
                                                                <input type="hidden" id="isiBank" name="bank" th:field="*{bank}">
                                                            </div>

                                                            <div class="form-group">
                                                                <label >Virtual Account</label>
                                                                <input type="text" id="nomorVa" name="nomorRekening" class="form-control" th:field="*{nomorRekening}">
                                                            </div>

                                                            <div class="form-group">
                                                                <label >Waktu Bayar</label>
                                                                <input type="date" id="waktu" name="waktu" class="form-control" required>
                                                            </div>

                                                            <div class="form-group">
                                                                <label >Jumlah Pembayaran</label>
                                                                <input type="text" readonly name="amount" class="form-control" th:value="${data.nilaiCicilan}">
                                                            </div>

                                                            <div class="row">
                                                                <div class="col-md-6 col-sm-12 col-xs-12">
                                                                    <div class="form-group form-line">
                                                                        <label >Upload Bukti</label>
                                                                        <input type="file" name="fileBukti" class="form-control"
                                                                               placeholder="Upload Bukti" autofocus>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6 col-sm-12 col-xs-12">
                                                                    <div class="form-group">
                                                                        <label>Tipe Pengiriman</label>
                                                                        <select name="tipePengiriman" class="form-control" required>
                                                                            <option selected disabled>-</option>
                                                                            <option th:each="tipe : ${tipe}"
                                                                                    th:value="${tipe}"
                                                                                    th:text="${tipe}"></option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="text-center">
                                                                <button type="submit" class="btn btn-success my-4">Save</button>
                                                            </div>
                                                        </form>

                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </div>
                        <div class="alert alert-success mt-4" th:if="${message != null}">
                            Cicilan sudah di approved!
                        </div>
                        <div th:if="${message == null}">
                            <div class="row mt-4" th:if="${jumlahNilai == 0}">
                                <div class="col-md-2 col-xs-12">
                                    <form method="post" th:action="@{/studentBill/cicilan/approve}">
                                        <button type="submit" class="btn btn-success" >Setujui</button>
                                        <input type="hidden" name="bill" th:value="${bill.id}">
                                    </form>
                                </div>
                                <div class="col-md-2 col-xs-12">
                                    <button type="submit" class="btn btn-danger" data-toggle="modal" data-target="#modal-reject">Ditolak</button>
                                    <!-- Modal reject cicilan -->
                                    <div class="modal fade" id="modal-reject">
                                        <div class="modal-dialog modal- modal-dialog-centered modal-sm" role="dialog">
                                            <div class="modal-content">

                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                </div>

                                                <div class="modal-body p-0">
                                                    <div class="card bg-secondary">
                                                        <div class="card-body">
                                                            <form method="post" th:action="@{/studentBill/cicilan/reject}">
                                                                <input type="hidden" name="bill" th:value="${bill.id}">
                                                                <div class="form-group mb-3">
                                                                    <div class="text-left">Keterangan Ditolak</div>
                                                                    <textarea name="keterangan" class="form-control" id="" cols="30"
                                                                              rows="10"></textarea>
                                                                </div>
                                                                <div class="text-center">
                                                                    <button type="submit" class="btn btn-success my-4">Save</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-8 col-xs-12 text-right">
                                    <button type="submit" class="btn btn-info " data-toggle="modal" data-target="#totalDocument">
                                        <i class="fas fa-file"></i> Daftar Berkas
                                    </button>
                                </div>
                            </div>
                            <div class="col-md-12" th:if="${jumlahNilai != 0}">
                                <div class="alert alert-info mt-4 text-black-50">
                                    <b>Cicilan kurang <text th:text="${'Rp. ' + #numbers.formatDecimal(jumlahNilai, 0, 'POINT', 2, 'COMMA')}"></text> !</b>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>